import request from '@/utils/request'
import store from '@/store/index'

function basic(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// 查找角色列表
export const basicRoleList = data => basic(data, '/api/role/find/page');

// 创建或修改角色 
export const setRole = data => basic(data, '/api/role/createOrUpdate');

// 删除角色
export const deleteRole = data => basic(data, '/api/role/delete');

// 查询菜单列表
export const basicMenuList = data => basic(data, '/api/menu/find/tree');

// 分配菜单权限
export const basicRolePermission = data => basic(data, '/api/role/assign/permission');

// 创建或修改菜单
export const setMenu = data => basic(data, '/api/menu/createOrUpdate');

// 删除菜单
export const basicDeleteMenu = data => basic(data, '/api/menu/delete');
