import request from '@/utils/request'
import store from '@/store/index'

function system(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// 商家钱包列表
export const systemCompanyBagList = data => system(data, '/api/company/purse/list');

// 开通或者关闭钱包功能
export const systemSetBagStatus = data => system(data, '/api/purse/openOrClose');

// 用户钱包列表
export const systemUserBagList = data => system(data, '/api/user/purse/list');

// 商家列表
export const systemCompanyList = data => system(data, '/api/company/find/page');

// 给商家分配菜单
export const systemSetMenu = data => system(data, '/api/company/set/menu');

// 商家审核
export const systemSetCompany = data => system(data, '/api/company/audit');

// 人员列表
export const systemUserList = data => system(data, '/api/user/find/page');

// 修改人员状态
export const systemSetUserStatus = data => system(data, '/api/user/update/status'); 

// 设置角色
export const systemSetUserRole = data => system(data, '/api/user/set/roles'); 
