import request from '@/utils/request_mz.js';
import store from '@/store/index';

function ticket(data, url) {
    return request({
        url: url,
        method: 'post',
        data: { 
        	token: store.getters.token,
        	data: data 
        }
    });
}

// OTA拉单接口
export const ticketDataEnter = data => ticket( data, '/meizhou/flight/order/post' );

// 航班订单查询
export const ticketAirplanLine = data => ticket( data, '/meizhou/flight/order/list' );

// 航班订单详情
export const ticketOrderDetail = data => ticket( data, '/meizhou/flight/order/detail' );

// 订单删除
export const ticketDeleteOrder = data => ticket( data, '/meizhou/flight/order/delete' );

// 出发/到达城市搜索
export const ticketGetChoosedCity = data => ticket( data, '/meizhou/flight/airport' );

// 航班列表信息
export const ticketLineList = data => ticket( data, '/meizhou/flight/get/list' );

// 机票价格查询（去哪儿）
export const ticketPriceList = data => ticket( data, '/meizhou/qunar/search/price' );

// 预定前的机票校验
export const ticketPreCheck = data => ticket( data, '/meizhou/flight/reserve' );

// 生成订单
export const ticketCreateOrder = data => ticket( data, '/meizhou/flight/create/order' );

// 航班订单详情
export const ticketOrderPayDetail = data => ticket( data, '/meizhou/flight/order/detail' );
