import axios from 'axios';
import { ticketGetChoosedCity } from '@/api/ticket.js';

export default {
    name: 'TabSelect',

    props: {
        placeholder: { type: String, default: () => '请填写' },
        profixTitle: { type: String, default: () => '' },
        profixIcon: { type: String, default: () => '' }
    },

    data() {
        return {
            outterActiveName: 'home',
            innerHomeActiveName: 'home_hot',
            innerAbroadActiveName: 'abroad_hot',
            // 选择的城市
            choosedCity: '',
            // 选择的三字码
            choosedItatCode: '',
            // 热门
            hotCity: [ 
                '北京', '上海', '广州', '深圳', '成都', '杭州', '武汉',
                '重庆', '西安', '青岛', '长沙', '南京', '厦门', '昆明',
                '大连', '天津', '郑州', '三亚', '济南', '福州'
            ],
            atoeCity: [
                { A: ['阿里', '阿尔山', '安庆', '阿勒泰', '阿康', '鞍山', '安顺', '阿苏克', '阿拉善左盟', '阿拉善右盟'] },
                { B: ['包头', '北海', '北京', '白色', '宝山', '博乐', '毕节', '巴彦淖尔'] },
                { C: ['长治', '池州', '长春', '常州', '昌都', '朝阳', '常德', '长白山', '成都', '重庆', '长沙', '赤峰'] },
                { D: ['大同', '大连', '东营', '大庆', '丹东', '大理', '敦煌', '达州', '稻城'] },
                { E: ['恩施', '鄂尔多斯', '二连浩特', '额济纳旗', '', ''] }
            ],
            ftojCity: [
                { F: ['佛山', '福州', '阜阳', '抚远', '', ''] },
                { G: ['贵阳', '桂林', '广州', '广元', '格尔木', '赣州', '固原'] },
                { H: ['哈密', '呼和浩特', '黑河', '海拉尔', '哈尔滨', '海口', '黄山', '杭州', '邯郸', '合肥', '黄龙', '汉中', '和田', '淮安'] },
                { J: ['鸡西', '晋江', '锦州', '景德镇', '嘉峪关', '井冈山', '济宁', '九江', '佳木斯', '济南', '加格达奇', '金昌', '揭阳'] }
            ],
            ktopCity: [
                { K: ['喀什', '昆明', '康定', '克拉玛依', '库尔勒', '库车', '喀纳斯', '凯里'] },
                { L: ['兰州', '洛阳', '丽江', '荔波', '林芝', '柳州', '泸州', '连云港', '黎平', '连城', '拉萨', '临沧', '临沂', '吕梁'] },
                { M: ['芒市', '牡丹江', '满洲里', '绵阳', '梅县', '漠河'] },
                { N: ['南京', '南充', '南宁', '南阳', '南通', '南昌', '那拉提', '宁波'] },
                { P: ['攀枝花', '普洱'] },
            ],
            qtowCity: [
                { Q: ['衢州', '黔江', '秦皇岛', '庆阳', '且末', '齐齐哈尔', '青岛', '祁连'] },
                { R: ['日喀则', '', '', '', '', ''] },
                { S: ['深圳', '石家庄', '三亚', '沈阳', '上海', '神农架'] },
                { T: ['唐山', '铜仁', '塔城', '腾冲', '台州', '天水', '天津', '通辽', '吐鲁番', '太原', '泰州'] },
                { W: ['威海', '武汉', '梧州', '文山', '无锡', '潍坊', '武夷山', '乌兰浩特', '温州', '乌鲁木齐', '万州', '乌海'] }
            ],
            xyzCity: [
                { X: ['兴义', '西昌', '厦门', '香格里拉', '西安', '西宁', '襄阳', '锡林浩特', '西双版纳', '徐州'] },
                { Y: ['义乌', '永州', '榆林', '扬州', '延安', '运城', '烟台', '银川', '宜昌', '宜宾', '宜春', '盐城', '延吉', '玉树', '伊宁', '伊春'] },
                { Z: ['珠海', '昭通', '张家界', '舟山', '郑州', '中卫', '芷江', '湛江', '遵义', '张掖', '张家口'] }
            ],

            // 国际城市机场
            interHot: [
                '中国香港', '首尔', '中国台北', '东京', '新加坡', '中国澳门', '曼谷', '大阪', '胡志明市', '马尼拉', '名古屋', 
                '伦敦', '吉隆坡', '釜山', '悉尼', '法兰克福', '温哥华', '巴黎', '纽约', '洛杉矶', '夏威夷'
            ],
            interAsia: [
                '中国香港', '东京', '中国台北', '首尔', '新加坡', '曼谷', '吉隆坡', '大阪', '中国澳门', '雅加达', '胡志明市', 
                '马尼拉', '巴厘岛', '名古屋', '普吉岛', '河内', '马累', '迪拜', '釜山', '加德满都', '高雄', '福冈', '金边',
                '德里', '济州岛', '札幌', '伊斯坦布尔', '乌兰巴托', '孟买', '茨城'
            ],
            interErope: [
                '伦敦', '巴黎', '法兰克福', '莫斯科', '罗马', '阿姆斯特丹', '米兰', '慕尼黑', '斯德哥尔摩', '柏林', '曼彻斯特', 
                '马德里', '苏黎世', '布鲁塞尔', '哥本哈根', '赫尔辛基', '维也纳', '巴塞罗那', '雅典', '爱丁堡', '伯明翰', 
                '纽卡斯尔', '日内瓦', '圣彼得堡', '格拉斯哥', '基辅', '布达佩斯', '汉堡', '布拉格', '杜塞尔多夫'
            ],
            interAmerica: [
                '纽约', '洛杉矶', '旧金山', '温哥华', '芝加哥', '多伦多', '西雅图', '华盛顿', '波士顿', '底特律', '亚特兰大', 
                '休斯敦', '蒙特利尔', '夏威夷', '塞班', '达拉斯', '明尼阿波利斯', '费城', '圣保罗', '渥太华', '墨西哥城', 
                '拉斯维加斯', '卡尔加里', '迈阿密', '丹佛', '奥兰多', '波特兰', '埃德蒙顿', '圣何塞'
            ],
            interAfrica: [
                '开罗', '约翰内斯堡', '开普敦', '内罗毕', '拉各斯', '罗安达', '毛里求斯', '达累斯萨拉姆', '喀土穆',
                '阿克拉', '阿尔及尔', '卡萨布兰卡', '德班', '突尼斯', '卢萨卡', '哈拉雷', '雅温得', '哈博罗内', '金沙萨', '马普托',
                '杜阿拉', '费里敦', '阿比让', '卢克索'
            ],
            interOcean: [
                '悉尼', '墨尔本', '奥克兰', '布里斯班', '阿德莱德', '珀斯', '惠灵顿', '堪培拉', '凯恩斯', '楠迪', '黄金海岸', 
                '帕皮堤', '霍巴特', '达尔文', '达尼丁'
            ]
        };
    },

    mounted() {
        // this.getList();o
    },

    methods: {
        getList() {
            let reqData = { 
                data: { depCity: 'PKX', arrCity: 'SHA', depDate: '2021-08-18', flightType: '1' }, 
                token: 'eyJraWQiOiJkOTc3ZTNmNC1hZmY0LTQyZWUtOTUyNy1hZTNhMzRhMmY2YzIiLCJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VySW5mbyI6IntcImNvbXBhbnlJZFwiOjAsXCJzdXBlckFkbWluXCI6MSxcInVpZFwiOjB9IiwiaXNzIjoiZG91bWkiLCJleHAiOjE2Mjc2MDc4NzEsImlhdCI6MTYyNzM0ODY3MX0.zBA6aCfE2PnPXQpQDStU6DR5hhmPEJlA-QqX9pHzm0o' 
            };
            axios({
                method: 'post',
                url: 'http://120.77.203.53:19001/meizhou/flight/get/list',
                data: reqData
            }).then( res => {

            }).catch( err => {

            });
        },

        /**
         * 选中了城市事件
         */
        handleChoosedCity(city) {
            let reqData = { chengshi: city };

            ticketGetChoosedCity(reqData).then( res => {
                // 需要特殊处理的含有多个机场的城市
                let applyCode = { '北京': 'BJS', '上海': 'SHA', '成都': 'CTU' };

                let _city = res.data[0];

                // 设置显示的机场名
                let _cityName = ['北京', '上海', '成都'].includes(_city.chengshi)
                              ? ''
                              : `(${_city.cityName})`;
                              
                // 设置显示的三字码
                let _cityCode = ['北京', '上海', '成都'].includes(_city.chengshi)
                              ? applyCode[_city.chengshi]
                              : _city.cityCode;

                this.choosedCity = `${_city.chengshi}${_cityName}(${_cityCode})`;
                this.choosedItatCode = _city.cityCode;
                this.$refs.cityPop.showPopper = false;
            }).catch( err => {
                console.log(err);
            });
        }
    }
};
