import { ticketDataEnter } from '@/api/ticket.js';

export default {
    name: 'AriplanEnter',

    data() {
        return {
            // 加载菊花
            loading: false,
            // 机票信息
            ticketData: {},
            // 提交菊花
            confirmLoading: false,
        }
    },

    methods: {
        /**
         * 提交充值申请
         */
        submitApp() {
            // 判断用户填写
            if ( !this.ticketData.companyName ) {
                this.$message({ type: 'warning', message: '请输入公司名称' });
                return;
            }
            else if ( !this.ticketData.orderNo ) {
                this.$message({ type: 'warning', message: '请输入订单号' });
                return;
            }
            else {}

            this.$confirm('是否确认提交机票录入?', '提示', {
                confirmButtonText: '确定',
                cancelButtonText: '取消',
                type: 'warning'
            }).then( () => {
                let reqData = this.ticketData;
                this.loading = true;
                ticketDataEnter(reqData).then( res => {
                    this.$message({ type: 'success', message: '机票录入成功' });
                    this.loading = false;
                    this.ticketData = {};
                }).catch( err => {
                    console.log(err);
                    this.loading = false;
                });
            }).catch( () => {});
        }
    }
};
