import { ticketOrderDetail } from '@/api/ticket.js';

export default {
    name: 'AirplanOrderDetail',

    data() {
        return {
            // 加载菊花
            loading: false,
            // 订单id
            orderId: this.$route.query.orderid,
            // 基本信息与出票信息
            orderData: [],
            // 航班信息
            airlineData: [],
            // 乘客信息
            passengerData: []
        };
    },

    mounted() {
        // 获取订单详情信息, 没有orderId则为新增
        this.orderId && this.getOrderDetail(this.$route.query.orderId);
    },

    methods: {
        /**
         * 获取订单详情信息
         */
        getOrderDetail(orderId) {
            let reqData = { orderId: this.orderId };

            this.loading = true;
            ticketOrderDetail(reqData).then( res => {
                this.loading = false;
                this.orderData = [res.data.guoneiFlightOrder];
                this.airlineData = res.data.flightSegmentList;
                this.passengerData = res.data.flightPassengerList;
            }).catch( err => {
                this.loading = false;
                console.log(err);
            });
        },
    }
};
