export default {
    name: 'PayResult',

    data() {
        return {
            // 加载菊花
            loading: false,
            // 机票支付信息
            ticketPayData: [{}],
            // 乘客信息
            passengerList: [],
        };
    },

    computed: {
        totalPrice(obj) {
            let total = 0;
            obj.passengerList.forEach( item => {
                total = total + parseFloat(item.salePrice) + parseFloat(item.constructionFee);
            });

            return this.$money(total);
        }
    },

    mounted() {
        this.getOrderDetail();
    },
    
    methods: {
        /**
         * 获取订单详情
         */
        getOrderDetail() {
            this.ticketPayData = [JSON.parse(sessionStorage.getItem('payData'))];
            this.passengerList = JSON.parse(sessionStorage.getItem('payData')).passengerList;
        },

        /**
         * 确定支付成功
         */
        confirmPaySuc() {
            this.closePage('/pay/payresult');
            this.$router.replace({ path: '/home' });
        },

        /**
         * 关闭指定的标签页
         */
        closePage(toCloseTagPath) {
            let tags = this.$store.state.tagsView.visitedViews;
            let currentTag = tags.find( item => item.path === toCloseTagPath );

            this.$store.dispatch('tagsView/delView', currentTag).then(({ visitedViews }) => {});
        }
    }
};
