import { infoUserData } from '@/api/info.js';

export default {
	name: 'PersonalInfo',

	data() {
		return {
            // 加载菊花
            loading: false,
            // 用户信息
            userData: {}
		};
	},

	mounted() {
		// 获取信息
		this.getData();
	},

	methods: {
		/**
		 * 提交充值申请
		 */
		getData() {
            let reqData = {};

            this.loading = true;
            infoUserData(reqData).then( res => {
                this.loading = false;
                this.userData = res.data;
            }).catch( err => {
                this.loading = false;
                console.log(err);
            });
		}
	}
};
