import { bagPayLog } from '@/api/bag.js';

export default {
    name: 'PayLog',

    data() {
        return {
            // 加载菊花
            loading: false,
            // 数据列表
            dataList: [],
            // 过滤数据
            filterData: {},            
            // 分页的页数
            pageNum: 1,
            // 每页展示的数据条数
            pageSize: 10,
            // 数据总数
            totalCount: 0,
        };
    },

    mounted() {
        // 获取数据列表
        this.getDataList(this.filterData);
    },

    methods: {
        /**
         * 获取数据列表
         * @return none
         */
        getDataList(filter) {
            let reqData = { pageNum: this.pageNum, pageSize: this.pageSize };
            if ( filter ) {
                reqData.status = filter.status;  // 账号
            }

            this.loading = true;
            bagPayLog(reqData).then( res => {
                this.loading = false;
                this.dataList = res.data;
                // this.totalCount = res.data.total;
            }).catch( err => {
                this.loading = false;
                console.log(err);
            });
        },
    }
};
